<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cool.store.mapper.PlatformBuildMapper">

    <resultMap id="BaseResultMap" type="com.cool.store.entity.PlatformBuildDO">
        <id property="id" column="id" jdbcType="BIGINT"/>
        <result property="shopId" column="shop_id" jdbcType="BIGINT"/>
        <result property="auditId" column="audit_id" jdbcType="BIGINT"/>
        <result property="type" column="type" jdbcType="TINYINT"/>
        <result property="settlerName" column="settler_name" jdbcType="VARCHAR"/>
        <result property="settlerIdCardFront" column="settler_id_card_front" jdbcType="VARCHAR"/>
        <result property="settlerIdCardReverse" column="settler_id_card_reverse" jdbcType="VARCHAR"/>
        <result property="settlerIdCardNo" column="settler_id_card_no" jdbcType="VARCHAR"/>
        <result property="settlerInHandFrontPicture" column="settler_in_hand_front_picture" jdbcType="VARCHAR"/>
        <result property="settlerInHandBackPicture" column="settler_in_hand_back_picture" jdbcType="VARCHAR"/>
        <result property="settlerBankPhotoUrl" column="settler_bank_photo_url" jdbcType="VARCHAR"/>
        <result property="settlerBankNumber" column="settler_bank_number" jdbcType="VARCHAR"/>
        <result property="settlerBankMobile" column="settler_bank_mobile" jdbcType="VARCHAR"/>
        <result property="settlerBankName" column="settler_bank_name" jdbcType="VARCHAR"/>
        <result property="ksAccount" column="ks_account" jdbcType="VARCHAR"/>
        <result property="account" column="account" jdbcType="VARCHAR"/>
        <result property="password" column="password" jdbcType="VARCHAR"/>
        <result property="storePositioningUrl" column="store_positioning_url" jdbcType="VARCHAR"/>
        <result property="authorizationUrl" column="authorization_url" jdbcType="VARCHAR"/>
        <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
        <result property="createUser" column="create_user" jdbcType="VARCHAR"/>
        <result property="updateUser" column="update_user" jdbcType="VARCHAR"/>
        <result property="poi" column="poi" jdbcType="VARCHAR"/>
        <result property="storeId" column="store_id" jdbcType="VARCHAR"/>
        <result property="dyMobile" column="dy_mobile" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id
        ,shop_id,audit_id,
        type,settler_name,settler_id_card_front,settler_id_card_reverse,password,ks_account,
        settler_id_card_no,settler_in_hand_front_picture,settler_in_hand_back_picture,settler_bank_number,settler_bank_mobile,
        settler_bank_name,
        account,store_positioning_url,authorization_url,
        create_time,update_time,create_user,
        update_user,poi,store_id,dy_mobile
    </sql>
</mapper>
